Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLANGB

    java.lang.Object
      org.netlib.lapack.SLANGB

    public class SLANGB

extends java.lang.Object

    SLANGB is a simplified interface to the JLAPACK routine slangb.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLANGB  returns the value of the one norm,  or the Frobenius norm, or
     *  the  infinity norm,  or the element of  largest absolute value  of an
     *  n by n band matrix  A,  with kl sub-diagonals and ku super-diagonals.
     *
     *  Description
     *  ===========
     *
     *  SLANGB returns the value
     *
     *     SLANGB = ( max(abs(A(i,j))), NORM = 'M' or 'm'
     *              (
     *              ( norm1(A),         NORM = '1', 'O' or 'o'
     *              (
     *              ( normI(A),         NORM = 'I' or 'i'
     *              (
     *              ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     *
     *  where  norm1  denotes the  one norm of a matrix (maximum column sum),
     *  normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     *  normF  denotes the  Frobenius norm of a matrix (square root of sum of
     *  squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix no
     *
     *  Arguments
     *  =========
     *
     *  NORM    (input) CHARACTER*1
     *          Specifies the value to be returned in SLANGB as described
     *          above.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.  When N = 0, SLANGB is
     *          set to zero.
     *
     *  KL      (input) INTEGER
     *          The number of sub-diagonals of the matrix A.  KL >= 0.
     *
     *  KU      (input) INTEGER
     *          The number of super-diagonals of the matrix A.  KU >= 0.
     *
     *  AB      (input) REAL array, dimension (LDAB,N)
     *          The band matrix A, stored in rows 1 to KL+KU+1.  The j-th
     *          column of A is stored in the j-th column of the array AB as
     *          follows:
     *          AB(ku+1+i-j,j) = A(i,j) for max(1,j-ku)<=i<=min(n,j+kl).
     *
     *  LDAB    (input) INTEGER
     *          The leading dimension of the array AB.  LDAB >= KL+KU+1.
     *
     *  WORK    (workspace) REAL array, dimension (MAX(1,LWORK)),
     *          where LWORK >= N when NORM = 'I'; otherwise, WORK is not
     *          referenced.
     *
     * =====================================================================

     *
     *
     *     .. Parameters ..

Constructor Summary
`SLANGB()`

Method Summary
`static float` | `SLANGB(java.lang.String norm, int n, int kl, int ku, float[][] ab, float[] work)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLANGB

    public SLANGB()

Method Detail

### SLANGB

    public static float SLANGB(java.lang.String norm,
                               int n,
                               int kl,
                               int ku,
                               float[][] ab,
                               float[] work)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD